libstdc++: std::_List_const_iterator< _Tp > Struct Template Reference

libstdc++

std::_List_const_iterator< _Tp > Struct Template Reference

`#include <stl_list.h>`

## Public Types
typedef const _List_node< _Tp > | _Node
typedef ptrdiff_t | difference_type
typedef _List_iterator< _Tp > | iterator
typedef std::bidirectional_iterator_tag | iterator_category
typedef const _Tp * | pointer
typedef const _Tp & | reference
typedef _Tp | value_type

## Public Member Functions
| _List_const_iterator (const __detail::_List_node_base *__x) noexcept
| _List_const_iterator (const iterator &__x) noexcept
iterator | _M_const_cast () const noexcept
reference | operator* () const noexcept
_List_const_iterator & | operator++ () noexcept
_List_const_iterator | operator++ (int) noexcept
_List_const_iterator & | operator-- () noexcept
_List_const_iterator | operator-- (int) noexcept
pointer | operator-> () const noexcept

## Public Attributes
const __detail::_List_node_base * | _M_node

## Friends
bool | operator== (const _List_const_iterator &__x, const _List_const_iterator &__y) noexcept

## Detailed Description

template<typename _Tp>
struct std::_List_const_iterator< _Tp >

A list::const_iterator.

All the functions are op overloads.

Definition at line 660 of file stl_list.h.

## Member Typedef Documentation

## ◆ _Node

template<typename _Tp>

typedef const _List_node<_Tp> std::_List_const_iterator< _Tp >::_Node

Definition at line 662 of file stl_list.h.

## ◆ difference_type

template<typename _Tp>

typedef ptrdiff_t std::_List_const_iterator< _Tp >::difference_type

Definition at line 665 of file stl_list.h.

## ◆ iterator

template<typename _Tp>

typedef _List_iterator<_Tp> std::_List_const_iterator< _Tp >::iterator

Definition at line 663 of file stl_list.h.

## ◆ iterator_category

template<typename _Tp>

typedef std::bidirectional_iterator_tag std::_List_const_iterator< _Tp >::iterator_category

Definition at line 666 of file stl_list.h.

## ◆ pointer

template<typename _Tp>

typedef const _Tp* std::_List_const_iterator< _Tp >::pointer

Definition at line 668 of file stl_list.h.

## ◆ reference

template<typename _Tp>

typedef const _Tp& std::_List_const_iterator< _Tp >::reference

Definition at line 669 of file stl_list.h.

## ◆ value_type

template<typename _Tp>

typedef _Tp std::_List_const_iterator< _Tp >::value_type

Definition at line 667 of file stl_list.h.

## Constructor & Destructor Documentation

## ◆ _List_const_iterator() [1/3]

template<typename _Tp>

std::_List_const_iterator< _Tp >::_List_const_iterator | ( |  | ) |
| inlinenoexcept

Definition at line 671 of file stl_list.h.

## ◆ _List_const_iterator() [2/3]

template<typename _Tp>

std::_List_const_iterator< _Tp >::_List_const_iterator | ( | const __detail::_List_node_base * | __x | ) |
| inlineexplicitnoexcept

Definition at line 675 of file stl_list.h.

## ◆ _List_const_iterator() [3/3]

template<typename _Tp>

std::_List_const_iterator< _Tp >::_List_const_iterator | ( | const iterator & | __x | ) |
| inlinenoexcept

Definition at line 679 of file stl_list.h.

## Member Function Documentation

## ◆ _M_const_cast()

template<typename _Tp>

iterator std::_List_const_iterator< _Tp >::_M_const_cast | ( |  | ) | const
| inlinenoexcept

Definition at line 683 of file stl_list.h.

## ◆ operator*()

template<typename _Tp>

reference std::_List_const_iterator< _Tp >::operator* | ( |  | ) | const
| inlinenodiscardnoexcept

Definition at line 689 of file stl_list.h.

## ◆ operator++() [1/2]

template<typename _Tp>

_List_const_iterator & std::_List_const_iterator< _Tp >::operator++ | ( |  | ) |
| inlinenoexcept

Definition at line 698 of file stl_list.h.

## ◆ operator++() [2/2]

template<typename _Tp>

_List_const_iterator std::_List_const_iterator< _Tp >::operator++ | ( | int |  | ) |
| inlinenoexcept

Definition at line 705 of file stl_list.h.

## ◆ operator--() [1/2]

template<typename _Tp>

_List_const_iterator & std::_List_const_iterator< _Tp >::operator-- | ( |  | ) |
| inlinenoexcept

Definition at line 713 of file stl_list.h.

## ◆ operator--() [2/2]

template<typename _Tp>

_List_const_iterator std::_List_const_iterator< _Tp >::operator-- | ( | int |  | ) |
| inlinenoexcept

Definition at line 720 of file stl_list.h.

## ◆ operator->()

template<typename _Tp>

pointer std::_List_const_iterator< _Tp >::operator-> | ( |  | ) | const
| inlinenodiscardnoexcept

Definition at line 694 of file stl_list.h.

## Friends And Related Symbol Documentation

## ◆ operator==

template<typename _Tp>

bool operator== | ( | const _List_const_iterator< _Tp > & | __x,
|  | const _List_const_iterator< _Tp > & | __y )
| friend

Definition at line 729 of file stl_list.h.

## Member Data Documentation

## ◆ _M_node

template<typename _Tp>

const __detail::_List_node_base* std::_List_const_iterator< _Tp >::_M_node

Definition at line 742 of file stl_list.h.

The documentation for this struct was generated from the following files:

- stl_iterator_base_funcs.h
- stl_list.h